%define ver 1.06.1
%define rel 14mdk

Summary: The uucp utility for copying files between systems.
Name: uucp
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: Networking/File transfer
Source0: ftp://prep.ai.mit.edu/pub/gnu/uucp-1.06.1.tar.bz2
Source1: uucp.log
Patch0: uucp-1.06.1-misc.patch.bz2
Patch1: uucp-1.06.1-uureroute.patch.bz2
Patch2: uucp-perl.patch.bz2
Patch3: uucp-build-asnonroot.patch.bz2
Patch4: uucp-1.06.1-sigfpe.patch.bz2
Prereq: fileutils /sbin/install-info
Buildroot: /var/tmp/uucp-root
# for texi2html
BuildRequires: tetex 

%description
The uucp command copies files between systems.  Uucp is primarily used
by remote machines downloading and uploading email and news files to
local machines.

Install the uucp package if you need to use uucp to transfer files
between machines.

%prep
%setup
%patch -p1 -b .config
%patch1 -p1 -b .perlpath
#?? not used %patch2
%patch3 -p1
%patch4 -p0

find . -name "*.perlpath" -exec rm {} \;

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1.bz2
mkdir -p $RPM_BUILD_ROOT/usr/man/man8.bz2
make prefix="$RPM_BUILD_ROOT/usr" install install-info

gzip -9nf $RPM_BUILD_ROOT/usr/info/uucp*
mkdir -p $RPM_BUILD_ROOT/var/spool/uucp
mkdir -p $RPM_BUILD_ROOT/var/spool/uucppublic
mkdir -p $RPM_BUILD_ROOT/etc/uucp/oldconfig

rm -rf $RPM_BUILD_ROOT/var/log/uucp
mkdir -p $RPM_BUILD_ROOT/var/log/uucp
strip $RPM_BUILD_ROOT/usr/sbin/* || :
strip $RPM_BUILD_ROOT/usr/bin/* || :

mkdir -p $RPM_BUILD_ROOT/usr/lib/uucp
ln -sf ../../sbin/uucico $RPM_BUILD_ROOT/usr/lib/uucp/uucico

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m 644 $RPM_SOURCE_DIR/uucp.log $RPM_BUILD_ROOT/etc/logrotate.d/uucp

# Create ghost files
for n in Log Stats Debug; do
	touch $RPM_BUILD_ROOT/var/log/uucp/$n
done

# the following is kind of gross, but it is effective
for i in dial passwd port dialcode sys call ; do
cat > $RPM_BUILD_ROOT/etc/uucp/$i <<EOF 
# This is an example of a $i file. This file have the syntax compatible
# with Taylor UUCP (not HDB, not anything else). Please check uucp
# documentation if you are not sure how Taylor config files are supposed to 
# look like. Edit it as appropriate for your system.

# Everything after a '#' character is a comment.
EOF
done

# some more documentation
texi2html -monolithic uucp.texi

find $RPM_BUILD_ROOT/usr/info -type f | xargs gunzip || :
find $RPM_BUILD_ROOT/usr/info -type f | xargs bzip2 -9
find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
# Create initial log files so that logrotate doesn't complain
for n in Log Stats Debug; do
	[ -f /var/log/uucp/$n ] || touch /var/log/uucp/$n
done

/sbin/install-info /usr/info/uucp.info.bz2 /usr/info/dir

%preun
if [ "$1" = 0 ]; then
 /sbin/install-info --del /usr/info/uucp.info.bz2 /usr/info/dir
fi

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog MANIFEST NEWS
%doc sample contrib uucp.html
%attr(-,uucp,root) %dir /var/spool/uucp
%attr(-,uucp,root) %dir /var/spool/uucppublic
%attr(770,uucp,uucp) %dir /etc/uucp
%attr(770,uucp,uucp) %dir /etc/uucp/oldconfig
/usr/info/uucp.info*
%attr(755,uucp,uucp) /usr/sbin/uuchk
%attr(755,uucp,uucp) /usr/sbin/uuconv
%attr(6555,uucp,uucp) /usr/sbin/uucico
%attr(6555,uucp,uucp) /usr/sbin/uuxqt
%attr(-,uucp,uucp) /usr/bin/*
/usr/man/*/*
/usr/lib/uucp/uucico
%dir /var/log/uucp
%attr(644,root,root) %config /etc/logrotate.d/uucp
%attr(644,uucp,uucp) %ghost /var/log/uucp/Log
%attr(644,uucp,uucp) %ghost /var/log/uucp/Stats
%attr(600,uucp,uucp) %ghost /var/log/uucp/Debug
%config /etc/uucp/dial
%config /etc/uucp/dialcode
%config /etc/uucp/port
%config /etc/uucp/passwd
%config /etc/uucp/sys
%config /etc/uucp/call

%changelog
* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 1.06.1-14mdk
- Applied some RH 6.2 patches

* Tue Aug 17 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- the info pages are bzip2'ed, changed the %post and %preun accordingly
- info pages where gziped then bzip2'ed (*.gz.bz2) :-\ corrected

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- bzip2 info

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 19)

* Tue Dec 22 1998 Bill Nottingham <notting@redhat.com>
- expunge /usr/local/bin/perl reference in docs

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild
- added sample config files in /etc/uucp

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- spec file cleanups
- added install-info support
- uses a build root

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- patched uureroute to find perl in /usr/bin instead of /usr/local/bin
- made log files ghosts

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>
- Brian Candler fixed /usr/lib/uucp/uucico symlink
- Added "create" entries to log file rotation configuration
- Touch log files on install if they don't already exist to allow proper
  rotation

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- symlinked /usr/sbin/uucico into /usr/lib/uucp
- (all of these changes are from Brian Candler <B.Candler@pobox.com>)
- sgid bit added on uucico so it can create lock files
- log files moved to /var/log/uucp/ owned by uucp (so uucico can create them)
- log rotation added
- uses /etc/uucp/oldconfig instead of /usr/lib/uucp for old config files
- package creates /etc/uucp and /etc/uucp/oldconfig directories
- man pages reference the correct locations for spool and config files

